! source file: /gxfs_work1/geomar/smomw113/UVic_ESCM/2.9_dk_0814/updates/10_lake/source/common/co2calc_TAfCO2.F
      subroutine co2calc_TAfCO2 (t, s, ta_in, xco2_in, pt_in
     &,                       sit_in, atmpres, depth, phlo, phhi
     &,                       debug,dicsat)

      return
      end

